Name:           perl-Padre-Plugin-Plack
Version:        1.200
Release:        1%{?dist}
Summary:        PSGI/Plack plugin for Padre
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Padre-Plugin-Plack/
Source0:        http://www.cpan.org/authors/id/P/PD/PDONELAN/Padre-Plugin-Plack-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(Class::Unload)
BuildRequires:  perl(Class::XSAccessor)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Padre) >= 0.60
BuildRequires:  perl(Padre::Current)
BuildRequires:  perl(Padre::Document::Perl)
BuildRequires:  perl(Padre::Logger)
BuildRequires:  perl(Padre::MimeTypes)
BuildRequires:  perl(Padre::Plugin)
BuildRequires:  perl(Padre::Util)
BuildRequires:  perl(Padre::Wx)
BuildRequires:  perl(Padre::Wx::Output)
BuildRequires:  perl(Plack) >= 0.9021
BuildRequires:  perl(Proc::Killfam)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Wx)
BuildRequires:  perl(Wx::Perl::ProcessStream)
Requires:       perl(Class::Unload)
Requires:       perl(Class::XSAccessor)
Requires:       perl(File::Find::Rule)
Requires:       perl(File::Which)
Requires:       perl(Padre) >= 0.60
Requires:       perl(Padre::Current)
Requires:       perl(Padre::Document::Perl)
Requires:       perl(Padre::Logger)
Requires:       perl(Padre::MimeTypes)
Requires:       perl(Padre::Plugin)
Requires:       perl(Padre::Util)
Requires:       perl(Padre::Wx)
Requires:       perl(Padre::Wx::Output)
Requires:       perl(Plack) >= 0.9021
Requires:       perl(Proc::Killfam)
Requires:       perl(Wx)
Requires:       perl(Wx::Perl::ProcessStream)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
As the name suggests, Padre::Plugin::Plack adds Plack awareness to Padre.

%prep
%setup -q -n Padre-Plugin-Plack-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 24 2011 Dave Cross <dave@mag-sol.com> 1.200-1
- Specfile autogenerated by cpanspec 1.78.
